## org.apache.mahout.classifier.df.builder
Class DecisionTreeBuilder

    java.lang.Object
      org.apache.mahout.classifier.df.builder.DecisionTreeBuilder

All Implemented Interfaces:
  TreeBuilder

    public class DecisionTreeBuilder

extends Object
implements TreeBuilder

Builds a classification tree or regression tree
A classification tree is built when the criterion variable is the categorical attribute.
A regression tree is built when the criterion variable is the numerical attribute.

Constructor Summary
`DecisionTreeBuilder()`

Method Summary
`Node` `build(Random rng, Data data)` Builds a Decision tree using the training data
`void` `setComplemented(boolean complemented)`
`void` `setIgSplit(IgSplit igSplit)`
`void` `setM(int m)`
`void` `setMinSplitNum(int minSplitNum)`
`void` `setMinVarianceProportion(double minVarianceProportion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionTreeBuilder

    public DecisionTreeBuilder()

Method Detail

### setM

    public void setM(int m)

### setIgSplit

    public void setIgSplit(IgSplit igSplit)

### setComplemented

    public void setComplemented(boolean complemented)

### setMinSplitNum

    public void setMinSplitNum(int minSplitNum)

### setMinVarianceProportion

    public void setMinVarianceProportion(double minVarianceProportion)

### build

    public Node build(Random rng,
                      Data data)

  Description copied from interface: `TreeBuilder`
  Builds a Decision tree using the training data

  Specified by:
    `build` in interface `TreeBuilder`
  Parameters:
    `rng` - random-numbers generator
    `data` - training data
  Returns:
    root Node

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.